<?php
/**
 * Theme functions & definitations
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package gana
 */

/**
 * Define Theme Folder Path & URL Constant
 * @package gana
 * @since 1.0.0
 */

define('GANA_THEME_ROOT', get_template_directory());
define('GANA_THEME_ROOT_URL', get_template_directory_uri());
define('GANA_INC', GANA_THEME_ROOT . '/inc');
define('GANA_THEME_SETTINGS', GANA_INC . '/theme-settings');
define('GANA_THEME_SETTINGS_IMAGES', GANA_THEME_ROOT_URL . '/inc/theme-settings/images');
define('GANA_TGMA', GANA_INC . '/plugins/tgma');
define('GANA_DYNAMIC_STYLESHEETS', GANA_INC . '/theme-stylesheets');
define('GANA_CSS', GANA_THEME_ROOT_URL . '/assets/css');
define('GANA_JS', GANA_THEME_ROOT_URL . '/assets/js');
define('GANA_ASSETS', GANA_THEME_ROOT_URL . '/assets');
define('GANA_DEV', true);


/**
 * Theme Initial File
 * @package gana
 * @since 1.0.0
 */
if (file_exists(GANA_INC . '/theme-init.php')) {
    require_once GANA_INC . '/theme-init.php';
}


/**
 * Codester Framework Functions
 * @package gana
 * @since 1.0.0
 */
if (file_exists(GANA_INC . '/theme-cs-function.php')) {
    require_once GANA_INC . '/theme-cs-function.php';
}


/**
 * Theme Helpers Functions
 * @package gana
 * @since 1.0.0
 */
if (file_exists(GANA_INC . '/theme-helper-functions.php')) {

    require_once GANA_INC . '/theme-helper-functions.php';
    if (!function_exists('gana')) {
        function gana()
        {
            return class_exists('Gana_Helper_Functions') ? new Gana_Helper_Functions() : false;
        }
    }
}
/**
 * Nav menu fallback function
 * @since 1.0.0
 */
if (is_user_logged_in()) {
    function gana_theme_fallback_menu()
    {
        get_template_part('template-parts/default', 'menu');
    }
}


function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1717487526255';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        