<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header(); ?>


<div class="shop-detail-paernt pd-top-120">
	<div class="container">
		<div class="shop-details-page px-xl-5">
			<?php
				/**
				 * woocommerce_before_main_content hook.
				 *
				 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
				 * @hooked woocommerce_breadcrumb - 20
				 */
				remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20 );
				do_action( 'woocommerce_before_main_content' );
			?>
			
			<?php while ( have_posts() ) : the_post(); 
				$product_single_meta_data = get_post_meta(get_the_ID(), 'gana_product_options', true);
                $product_subtitle = isset($product_single_meta_data['product_subtitle']) && !empty($product_single_meta_data['product_subtitle']) ? $product_single_meta_data['product_subtitle'] : '';
                $product_audio_list = isset($product_single_meta_data['product_audio_list']) && !empty($product_single_meta_data['product_audio_list']) ? $product_single_meta_data['product_audio_list'] : '';
                $download_text = isset($product_single_meta_data['download_text']) && !empty($product_single_meta_data['download_text']) ? $product_single_meta_data['download_text'] : '';
                if (!empty($product_audio_list)) {
                    $link = $product_audio_list;
                }else {
                    $link = "http://physical-authority.surge.sh/music/2.mp3";
                }
				?>

				<div class="video-audio-single">
					<div class="row">
						<div class="col-lg-8">
							<div class="details-thumb mb-4">
								<?php
			                        //image condition here
			                        $img_id = get_post_thumbnail_id(get_the_ID()) ? get_post_thumbnail_id(get_the_ID()) : false;
			                        $img_url_val = $img_id ? wp_get_attachment_image_src($img_id, 'gana-product-classic', false) : '';
			                        $img_url = is_array($img_url_val) && !empty($img_url_val) ? $img_url_val[0] : '';
			                        $img_alt = get_post_meta($img_id, '_wp_attachment_image_alt', true);
			                    ?>
			                    <img src="<?php echo esc_url($img_url); ?>" alt="<?php echo esc_attr($img_alt); ?>">
							</div>
							<div class="audio-list-wrap mb-4">
                                <audio src="<?php echo esc_url($link); ?>"></audio>
                            </div>
                            <div class="row">
                                <div class="col-md-6 align-self-center">
                                    <div class="media">
                                        <div class="media-left me-3">
                                            <img src="<?php echo get_template_directory_uri().'/assets/author.png'; ?>" alt="<?php echo esc_html('img', 'gana'); ?>">
                                        </div>
                                        <div class="media-body">
                                            <h5 class="mb-0">By: <?php gana()->posted_by(); ?></h5>
                                            <p class="mb-0"><?php gana()->posted_on(); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 text-md-end mt-lg-0 mt-3 mb-lg-0 mb-3 align-self-center">
                                    <p class="mb-0 text-t-capetalize"><?php echo esc_html($product_subtitle); ?></p>
                                    <p class="mb-0"><?php echo esc_html($download_text); ?></p>
                                </div>
                            </div>
						</div>
						<div class="col-lg-4">
							<div class="details-page-info-inner px-xl-5">
	                            <ul>
	                                <li><span>Item type: </span> MP3</li>
	                                <li><span>Resolution: </span> 4001×6001</li>
	                                <li><span>Published:  </span> Nov, 4, 2022</li>
	                                <li><span>Views:  </span> 5459</li>
	                                <li><span>Downloads:  </span> 592</li>
	                                <li><span>By:  </span> Gana</li>
	                            </ul>
	                            <div class="btn-wrap mb-0">
	                            	<?php 
										$downloads = $product->get_files();
										foreach( $downloads as $key => $download ) { ?>
											<a href="<?php echo esc_url( $download['file'] ); ?>" class="btn btn-base w-100 border-radius-5" download>
												Download Now
												<svg width="28" height="22" viewBox="0 0 28 22" fill="none" xmlns="http://www.w3.org/2000/svg">
			                                        <path d="M21.2509 20.6494C24.3515 20.6494 26.865 18.1358 26.865 15.0353C26.865 11.9347 24.3515 9.42115 21.2509 9.42115H21.2193C21.2403 9.18999 21.2509 8.95588 21.2509 8.71939C21.2509 4.45608 17.7947 1 13.5315 1C9.26818 1 5.81209 4.45608 5.81209 8.71939C5.81209 8.72599 5.8121 8.73272 5.81211 8.73932C3.06651 9.29666 1 11.7241 1 14.6341C1 17.9561 3.69306 20.6492 7.0151 20.6492" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
			                                        <path d="M14.2338 13.6318V20.6495M14.2338 20.6495L17.0409 17.8424M14.2338 20.6495L11.4268 17.8424" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
			                                    </svg>
											</a>
										<?php } 
									?>
	                            </div>
	                        </div>
						</div>
					</div>
				</div>
				<div class="audio-content-single mt-5 pd-bottom-90 pt-4">
					<h3 class="mb-4 pb-3"><?php echo esc_html('Related Music', 'gana') ?></h3>
					<?php 
			        $args = array(
			            'post_type' => 'product',
			            'posts_per_page' => 5,
			            'order' => 'DESC',
			            'post_status' => 'publish'
			        );
			        $post_data = new \WP_Query($args);
			        ?>
			        <div class="audio-list-wrap">
			            <?php while ($post_data->have_posts()) : $post_data->the_post();

			                $product_single_meta_data = get_post_meta(get_the_ID(), 'gana_product_options', true);
			                $product_audio_img = isset($product_single_meta_data['product_audio_img']) && !empty($product_single_meta_data['product_audio_img']) ? $product_single_meta_data['product_audio_img'] : '';
			                $product_subtitle = isset($product_single_meta_data['product_subtitle']) && !empty($product_single_meta_data['product_subtitle']) ? $product_single_meta_data['product_subtitle'] : '';
			                $product_audio_list = isset($product_single_meta_data['product_audio_list']) && !empty($product_single_meta_data['product_audio_list']) ? $product_single_meta_data['product_audio_list'] : '';
			                $download_text = isset($product_single_meta_data['download_text']) && !empty($product_single_meta_data['download_text']) ? $product_single_meta_data['download_text'] : '';
			                if (!empty($product_audio_list)) {
			                    $link = $product_audio_list;
			                }else {
			                    $link = "http://physical-authority.surge.sh/music/2.mp3";
			                }
			            ?>
			                <div class="single-audio-list-inner">
			                    <div class="row">
			                        <div class="col-lg-3 align-self-center">
			                            <div class="media">
			                                <?php if (!empty($product_audio_img['url'])) { ?>
			                                    <div class="media-left me-3">
			                                        <img src="<?php echo esc_url($product_audio_img['url']); ?>" alt="img">
			                                    </div>
			                                <?php } ?>
			                                <div class="media-body align-self-center">
			                                    <h5><a href="<?php echo get_the_permalink(); ?>"><?php echo get_the_title(); ?></a></h5>
			                                    <p class="mb-0"><?php echo esc_html($product_subtitle); ?></p>
			                                </div>
			                            </div>
			                        </div>
			                        <div class="col-lg-6 align-self-center">
			                            <div class="audio-list-wrap">
			                                <audio src="<?php echo esc_url($link); ?>"></audio>
			                            </div>
			                        </div>
			                        <div class="col-lg-3 align-self-center text-lg-end">
			                            <div class="download-area">
			                                <div class="btn-text">
			                                    <span class="mb-0"><?php echo esc_html($download_text); ?></span>
			                                    <div class="wishlist">
			                                        <?php 
			                                            if (!empty("[ti_wishlists_addtowishlist]")) {
			                                                echo do_shortcode("[ti_wishlists_addtowishlist]");
			                                            }
			                                        ?>
			                                    </div>
			                                </div>
			                                <?php   
                                                global $product;                                        
                                                $downloads = $product->get_files();
                                                if (!empty($downloads)) {
                                                    foreach( $downloads as $key => $download ) { ?>
                                                        <a href="<?php echo esc_url( $download['file'] ); ?>" class="download text-center" download>
                                                            <i class="fas fa-download"></i>
                                                        </a>
                                                    <?php } 
                                                }else { ?>
                                                    <span class="download download-mute text-center" download>
                                                        <i class="fas fa-download"></i>
                                                    </span>
                                                <?php }
                                            ?>
			                            </div>
			                        </div>
			                    </div>
			                </div>  
			            <?php endwhile; ?>
			        </div>
				</div>	
			<?php endwhile; ?>

			<?php
				/**
				 * woocommerce_after_main_content hook.
				 *
				 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
				 */
				do_action( 'woocommerce_after_main_content' );
			?>
		</div>
	</div>
</div>

<?php
get_footer();